Uploaded image for project: 'Nuxeo Web UI'
  1. Nuxeo Web UI
  2. WEBUI-183

Update node requirements on Web UI

    Details

    • Type: Task
    • Status: Resolved
    • Priority: Minor
    • Resolution: Done
    • Affects Version/s: 3.0.2, 2.2.49, 2.4.37, 3.x
    • Fix Version/s: 2.2.51, 2.4.39, 3.0.3, 3.1.0
    • Component/s: CI/CD
    • Tags:
    • Team:
      UI
    • Sprint:
      UI - 2021-02, UI - 2021-01

      Description

      • Add the required node version info on the repo README file.
      • Add a postinstall script to validate the installed node version.

      Web UI to node version mapping:

      • 9.10: v6.0.0+
      • 10.10: v10.23.0+
      • maintenance-3.0.x: v10.23.0+
      • master: v10.23.0+

        Attachments

          Issue Links

            Activity

              People

              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - Not Specified
                  Not Specified
                  Remaining:
                  Remaining Estimate - 0 minutes
                  0m
                  Logged:
                  Time Spent - 5 hours, 10 minutes
                  5h 10m

                    PagerDuty

                    Error rendering 'com.pagerduty.jira-server-plugin:PagerDuty'. Please contact your Jira administrators.